Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1092945 - nodejs-esprima-2.7.0 is available
Summary: nodejs-esprima-2.7.0 is available
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: nodejs-esprima
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1294078
Blocks: 1014483
TreeView+ depends on / blocked
 
Reported: 2014-04-30 10:12 UTC by Upstream Release Monitoring
Modified: 2020-11-05 09:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-01 16:39:12 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-04-30 10:12:03 UTC
Latest upstream release: 1.2.0
Current version/release in Fedora Rawhide: 1.1.1-1.fc21
URL: http://registry.npmjs.org/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Upstream Release Monitoring 2014-05-06 10:17:32 UTC
Latest upstream release: 1.2.1
Current version/release in Fedora Rawhide: 1.1.1-1.fc21
URL: http://registry.npmjs.org/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 2 Upstream Release Monitoring 2014-05-22 20:06:14 UTC
Latest upstream release: 1.2.2
Current version/release in Fedora Rawhide: 1.1.1-1.fc21
URL: http://registry.npmjs.org/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 3 Upstream Release Monitoring 2015-01-19 09:30:52 UTC
Latest upstream release: 1.2.3
Current version/release in Fedora Rawhide: 1.1.1-2.fc21
URL: http://registry.npmjs.org/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 4 Upstream Release Monitoring 2015-02-07 22:52:02 UTC
Latest upstream release: 2.0.0
Current version/release in Fedora Rawhide: 1.1.1-2.fc21
URL: http://registry.npmjs.org/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy


More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring Soon this service will be implemented by a new system: https://release-monitoring.org/
It will require to manage monitored projects via a new web interface. Please make yourself familiar with the new system to ease the transition.

Comment 5 Upstream Release Monitoring 2015-03-04 00:27:50 UTC
Latest upstream release: 1.2.5
Current version/release in rawhide: 1.1.1-2.fc21
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 6 Upstream Release Monitoring 2015-03-12 00:30:53 UTC
Latest upstream release: 2.1.0
Current version/release in rawhide: 1.1.1-2.fc21
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 7 Upstream Release Monitoring 2015-04-18 00:32:21 UTC
Latest upstream release: 2.2.0
Current version/release in rawhide: 1.1.1-2.fc21
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 8 Upstream Release Monitoring 2015-04-18 00:32:27 UTC
Failed to kick off scratch build.

cmd:  rpmbuild -bs /var/tmp/thn-2uB6hD/nodejs-esprima.spec
return code:  1
stdout:

stderr:
error: File ./tests-2.2.0.tar.bz2: No such file or directory

Comment 9 Upstream Release Monitoring 2015-06-17 12:30:57 UTC
Latest upstream release: 2.3.0
Current version/release in rawhide: 1.1.1-2.fc21
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 10 Upstream Release Monitoring 2015-06-17 12:31:06 UTC
Failed to kick off scratch build.

cmd:  rpmbuild -bs /var/tmp/thn-k0ms9R/nodejs-esprima.spec
return code:  1
stdout:

stderr:
error: File ./tests-2.3.0.tar.bz2: No such file or directory

Comment 11 Upstream Release Monitoring 2015-06-26 12:31:09 UTC
Latest upstream release: 2.4.0
Current version/release in rawhide: 1.1.1-3.fc23
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 12 Upstream Release Monitoring 2015-06-26 12:31:17 UTC
Failed to kick off scratch build.

cmd:  rpmbuild -bs /var/tmp/thn-Irm3lj/nodejs-esprima.spec
return code:  1
stdout:

stderr:
error: File ./tests-2.4.0.tar.bz2: No such file or directory

Comment 13 Upstream Release Monitoring 2015-07-01 12:32:40 UTC
Latest upstream release: 2.4.1
Current version/release in rawhide: 1.1.1-3.fc23
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 14 Upstream Release Monitoring 2015-07-01 12:32:48 UTC
Failed to kick off scratch build.

cmd:  rpmbuild -bs /var/tmp/thn-PpWwbR/nodejs-esprima.spec
return code:  1
stdout:

stderr:
error: File ./tests-2.4.1.tar.bz2: No such file or directory

Comment 15 Upstream Release Monitoring 2015-08-01 12:12:12 UTC
Latest upstream release: 2.5.0
Current version/release in rawhide: 1.1.1-3.fc23
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 16 Upstream Release Monitoring 2015-08-01 12:12:18 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-JzNoiA/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-JzNoiA/100.0%: No such file or directory

Comment 17 Upstream Release Monitoring 2015-09-02 00:12:21 UTC
Latest upstream release: 2.6.0
Current version/release in rawhide: 1.1.1-3.fc23
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 18 Upstream Release Monitoring 2015-09-02 00:12:27 UTC
Failed to kick off scratch build.

cmd:  sha256sum /var/tmp/thn-BKBrpc/100.0%
return code:  1
stdout:

stderr:
sha256sum: /var/tmp/thn-BKBrpc/100.0%: No such file or directory

Comment 19 Upstream Release Monitoring 2015-10-23 00:14:19 UTC
Latest upstream release: 2.7.0
Current version/release in rawhide: 1.1.1-3.fc23
URL: http://npmjs.org/package/esprima

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Comment 20 Upstream Release Monitoring 2015-10-23 00:14:27 UTC
Failed to kick off scratch build.

cmd:  rpmbuild -bs /var/tmp/thn-9trTJ0/nodejs-esprima.spec
return code:  1
stdout:

stderr:
error: File ./tests-2.7.0.tar.bz2: No such file or directory

Comment 21 Jared Smith 2015-12-04 21:07:59 UTC
I have an updated version of nodejs-esprima at https://jsmith.fedorapeople.org/Packaging/nodejs-esprima/ but I haven't yet pushed it into rawhide until I have the time to track down anything that's dependent upon esprima and make sure it's updated to work with the newer version as well.

Comment 22 Piotr Popieluch 2015-12-27 12:32:35 UTC
A check of the dependencies in Rawhide


nodejs-degenerator-0:1.0.2-1.fc24.noarch
  package.json wants: ~2.3.0
  fixdep needs to be updated
 
nodejs-detective-0:2.3.0-3.fc23.noarch
  package.json wants: 1.0.2
  Newer version of this package does not use esprima anymore
  probably best thing is to update 

nodejs-escodegen-0:1.3.2-3.fc23.noarch
  package.json wants: ~1.1.1 
  need to check 
 
nodejs-istanbul-0:0.4.0-1.fc24.noarch
  package.json wants: 2.5.x
 
nodejs-js-yaml-0:2.1.3-3.fc23.noarch
  this is the reason why we are updating 


So we need to make sure that escodegen still works with 2.x version, we might need to update detective.


Note You need to log in before you can comment on or make changes to this bug.